{
===============================================================================
  Copyright (©) 2007. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión:
  Versión actual: 1.0.0
  Fecha versión actual:
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit uBizRecibosProvCompensados;

interface

uses
  uDAInterfaces, uDADataTable, uDBSelectionListUtils, schRecibosProveedorClient_Intf;

const
  BIZ_CLIENT_RECIBOS_COMPENSADOSPROV = 'Client.RecibosCompensadosProv';

type
  IBizRecibosCompensadosProv = interface(IRecibosCompensadosProv)
  ['{64F55788-08FC-473D-A5CA-5F99509C2529}']
  end;

  TBizRecibosCompensadosProv = class(TRecibosCompensadosProvDataTableRules, IBizRecibosCompensadosProv)
  protected
     procedure BeforeInsert(Sender: TDADataTable); override;
  end;

implementation

uses
  DB;


{ TBizRecibosCompensadosProv }

procedure TBizRecibosCompensadosProv.BeforeInsert(Sender: TDADataTable);
var
  AMasterTable : TDADataTable;
begin
  inherited;
  AMasterTable := DataTable.GetMasterDataTable;
  if Assigned(AMasterTable) and (AMasterTable.State = dsInsert) then
    AMasterTable.Post;
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_RECIBOS_COMPENSADOSPROV, TBizRecibosCompensadosProv);

finalization

end.

